Subject: Re: bug#29537: Core updates broken

From: [email-masked] (Ludovic Courtès)
Date: Tue, 05 Dec 2017 18:05:31 +0100

Marius Bakke <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hi,
>>
>> Marius Bakke <[email-masked]> skribis:
>>
>>> From 41677631be815d58c36052de7b54d297ad496ec1 Mon Sep 17 00:00:00 2001
>>> From: Marius Bakke <[email-masked]>
>>> Date: Sun, 3 Dec 2017 02:32:16 +0100
>>> Subject: [PATCH] gnu: glibc: Don't use full version string in locale path.
>>>
>>> This is a follow-up to commit ee3ebf1a357bd4eb36a2fa1790a7b549cffb305a.
>>> Fixes <https://bugs.gnu.org/29537>.
>>>
>>> * gnu/packages/base.scm (glibc/linux)[version]: Change to 2.26.91-gaaa2eb83b8.
>>> [source](uri): Adjust accordingly.
>>> [arguments]: Use VERSION-MAJOR+MINOR for locales path.
>>> (glibc-locales, glibc-utf8-locales): Likewise.
>>> * guix/profiles.scm (ca-certificate-bundle, profile-derivation): Likewise.
>>
>> Good catch!  That looks good to me (along with the guix/packages.scm
>> occurrence you found.)
>
> OK, pushed!
>
> Now, it would be good to do a final update of glibc so we get the fix
> for CVE-2017-15804 and a few other things.  Could you upload a new
> tarball for glibc-2.26-105-g0890d5379c.tar.xz?  I'm getting
> "0m8cnp2nik0596adwibhl0f3w649m57i3qciqwpwiix7y0sb7vhi" for it.

I got the same hash but decided to not go with -9 after re-reading
xz(1), which discourages its use due to the memory consumption the
decompressor needs.

The size difference looks reasonable (I used the default, which is -6):

--8<---------------cut here---------------start------------->8---
-rw-r--r-- 1 ludo users 15683872 Dec  5 18:00 glibc-2.26-105-g0890d5379c.tar.xz
-rw-r--r-- 1 ludo users 15309116 Dec  5 18:00 glibc-2.26-105-g0890d5379c.tar.xz-9
--8<---------------cut here---------------end--------------->8---

The file should be on alpha.gnu.org now.

Thanks,
Ludo’.